package gov.va.med.edp.web.controller;

import gov.va.med.edp.web.view.CsvView;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.support.WebContentGenerator;

public class ExportReportController extends TrackingController {
    private static final String CSV_VIEW = "csvView";

    public ExportReportController() {
        super();
        setSupportedMethods(new String[]{WebContentGenerator.METHOD_POST, WebContentGenerator.METHOD_GET});
    }    
    
    protected ModelAndView createModelAndView(String result) {
        return new ModelAndView(CSV_VIEW, CsvView.CSV_MODEL, result);
    }
    
}
